Subject: [6lowpan] FW: New Version Notification for draft-thubert-6lowpan-simple-fragment-recovery-04

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Sat, 28 Mar 2009 02:22:27 +0100

Dear Lowpanners,

Following the sense of the room at the meeting last monday, I republished the fragment draft without the ECN/congestion control mechanism and with a better justification for the work.

Jonathan helped there and he is now coauthor (thanks Jonathan).
The authors are now ready to propose the work for adoption as a WG doc.

All the best,

Pascal

-----Original Message-----
From: IETF I-D Submission Tool [mailto:[email-masked]] 
Sent: vendredi 27 mars 2009 18:15
To: Pascal Thubert (pthubert)
Cc: [email-masked]
Subject: New Version Notification for draft-thubert-6lowpan-simple-fragment-recovery-04 

A new version of I-D, draft-thubert-6lowpan-simple-fragment-recovery-04.txt has been successfuly submitted by Pascal Thubert and posted to the IETF repository.

Filename:	 draft-thubert-6lowpan-simple-fragment-recovery
Revision:	 04
Title:		 LoWPAN simple fragment Recovery
Creation_date:	 2009-03-28
WG ID:		 Independent Submission
Number_of_pages: 12

Abstract:
Considering that 6LoWPAN packets can be as large as 2K bytes and that
an 802.15.4 frame with security will carry in the order of 80 bytes
of effective payload, a packet might end up fragmented into as many
as 25 fragments at the 6LoWPAN shim layer.  If a single one of those
fragments is lost in transmission, all fragments must be resent,
further contributing to the congestion that might have caused the
initial packet loss.  This draft introduces a simple protocol to
recover individual fragments that might be lost over multiple hops
between 6LoWPAN endpoints.

The IETF Secretariat.